Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## java.text
Enum Normalizer.Form

    java.lang.Object
      java.lang.Enum<Normalizer.Form>
          java.text.Normalizer.Form

All Implemented Interfaces:
  Serializable, Comparable<Normalizer.Form>

Enclosing class:
  Normalizer

    public static enum Normalizer.Form

extends Enum<Normalizer.Form>

This enum provides constants of the four Unicode normalization forms that are described in Unicode Standard Annex #15 — Unicode Normalization Forms and two methods to access them.

Since:
  1.6

Enum Constant Summary
`NFC` Canonical decomposition, followed by canonical composition.
`NFD` Canonical decomposition.
`NFKC` Compatibility decomposition, followed by canonical composition.
`NFKD` Compatibility decomposition.

Method Summary
`static Normalizer.Form` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Normalizer.Form[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NFD

    public static final Normalizer.Form NFD

  Canonical decomposition.

### NFC

    public static final Normalizer.Form NFC

  Canonical decomposition, followed by canonical composition.

### NFKD

    public static final Normalizer.Form NFKD

  Compatibility decomposition.

### NFKC

    public static final Normalizer.Form NFKC

  Compatibility decomposition, followed by canonical composition.

Method Detail

### values

    public static Normalizer.Form[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Normalizer.Form c : Normalizer.Form.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Normalizer.Form valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.